##### PREDEFINITIONS #####
%define	version	0.5
%define	release	%mkrel 1

##### HEADER #####
Name:		cuneiform
Summary:	An OCR system
Version:	%{version}
Release:	%{release}
License:	BSD
URL:		https://launchpad.net/cuneiform-linux
Group:		Text tools
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

##### DESCRIPTION #####
%description
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

##### PREP #####
%prep
%setup -q -n %{name}-%{version}.0

##### BUILD #####
%build
%cmake
%make

##### INSTALL #####
%install
rm -rf %{buildroot}
cd build
%makeinstall_std

##### CLEAN #####
%clean
rm -rf %{buildroot}

##### POST & POSTUN INSTALL SCRIPTS #####
%post
%postun

##### FILE LIST #####
%files
%defattr(-,root,root)
%doc issues.txt *readme.rtf readme.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/*.dat
%{_libdir}/*.so

##### CHANGELOG #####
%changelog
* Thu Jan 22 2009 Oliver Burger <rpm@mandrivauser.de> 0.5-1mud2009.0
- new version 0.5

* Wed Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4-1.1mud2009.0
- Rebuild for 2009.0-final

* Sat Sep 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4-1mud2009.0
- Rebuild for MUde

* Sat Sep 20 2008 MaxiPunkt <email@domain.de> 0.4-1max
- First built for Mandriva
